## org.biojava.bio.seq.db.biosql
Class DBHelper

    java.lang.Object
      org.biojava.bio.seq.db.biosql.DBHelper

Direct Known Subclasses:
  MySQLDBHelper, PostgreSQLDBHelper, UnknownDBHelper

public abstract class DBHelper
extends java.lang.Object

Author:
  Thomas Down, Matthew Pocock

Nested Class Summary
`static class` `DBHelper.DeleteStyle`

Field Summary
`static DBHelper.DeleteStyle` `DELETE_GENERIC`
`static DBHelper.DeleteStyle` `DELETE_MYSQL4`
`static DBHelper.DeleteStyle` `DELETE_POSTGRESQL`

Constructor Summary
`DBHelper()`

Method Summary
`static DBHelper` `getDBHelperForURL(java.lang.String ourURL)`
`abstract DBHelper.DeleteStyle` `getDeleteStyle()`
`abstract int` `getInsertID(java.sql.Connection conn, java.lang.String table, java.lang.String columnName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DELETE_POSTGRESQL

    public static final DBHelper.DeleteStyle DELETE_POSTGRESQL

### DELETE_MYSQL4

    public static final DBHelper.DeleteStyle DELETE_MYSQL4

### DELETE_GENERIC

    public static final DBHelper.DeleteStyle DELETE_GENERIC

Constructor Detail

### DBHelper

    public DBHelper()

Method Detail

### getDBHelperForURL

    public static DBHelper getDBHelperForURL(java.lang.String ourURL)

### getInsertID

    public abstract int getInsertID(java.sql.Connection conn,
                                    java.lang.String table,
                                    java.lang.String columnName)
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDeleteStyle

    public abstract DBHelper.DeleteStyle getDeleteStyle()